#include "qad_application.h"

#include "edockwidgetplugin.h"
#include "emainwindowplugin.h"
#include "historyviewplugin.h"
#include "logviewplugin.h"


QADApplication::QADApplication(QObject * parent): QObject(parent) {
	// m_widgets.append(new EDockWidgetPlugin(this));
	m_widgets.append(new EMainWindowPlugin(this));
	m_widgets.append(new HistoryViewPlugin(this));
	m_widgets.append(new LogViewPlugin(this));
}


QList<QDesignerCustomWidgetInterface *> QADApplication::customWidgets() const {
	return m_widgets;
}


#if QT_VERSION < 0x050000
Q_EXPORT_PLUGIN2(qad_application_plugin, QADApplication)
#endif
